package org.dd4t.thymeleaf.dialect.image.processor;

import javax.annotation.Resource;

import org.dd4t.core.resolvers.PublicationResolver;
import org.dd4t.core.services.PropertiesService;

public class SizedImageFactory {

    @Resource
    private PublicationResolver publicationResolver;

    @Resource
    private PropertiesService propertiesService;

    public SizedImage getSizedImage(String url, int width, int height) {
        return new SizedImage(url, width, height, propertiesService, publicationResolver);
    }

    public SizedImage getSizedImage(TridionBinaryViewModel binary, int width, int height) {
        return new SizedImage(binary, width, height, propertiesService, publicationResolver);
    }
}
